#
# spec file for package kmasqdialer (Version 2.04)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam freetype2 gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft openssl openssl-devel qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2
Name:         kmasqdialer
Copyright:    unknown
Group:        X11/KDE/Applications
Provides:     kmasqdia
Obsoletes:    kmasqdia
Summary:      Client for the masqdialer system by Charles P. Wright
Version:      2.04
Release:      120
Source0:      kmasqdialer-2.04.tar.bz2
Patch0: kmasqdialer-2.04.dif

%description
This is a client to be used with the masqdialer system by Charles P. Wright,
http://cpwright.com/

Authors:
--------
    Darren Poulson <daz@flapper.demon.co.uk>

SuSE series: k2de

%prep
%setup -n kmasqdialer-2.04
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config  -f }}
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make -f Makefile.cvs
make

%install
make install

%files
%doc AUTHORS COPYING ChangeLog INSTALL 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Internet
%dir /opt/kde2/share/doc/HTML/en/kmasqdialer
%dir /opt/kde2/share/icons/hicolor/16x16/apps
%dir /opt/kde2/share/icons/hicolor/32x32/apps
/opt/kde2/bin/kmasqdialer
/opt/kde2/share/applnk/Internet/kmasqdialer.desktop
/opt/kde2/share/doc/HTML/en/kmasqdialer/common
/opt/kde2/share/doc/HTML/en/kmasqdialer/index.docbook
/opt/kde2/share/icons/hicolor/16x16/actions/kmasqdialer-dock1.png
/opt/kde2/share/icons/hicolor/16x16/actions/kmasqdialer-dock2.png
/opt/kde2/share/icons/hicolor/16x16/apps/kmasqdialer.png
/opt/kde2/share/icons/hicolor/32x32/apps/kmasqdialer.png

%changelog -n kmasqdialer
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Sun Jul 15 2001 - adrian@suse.de
- update to 2.04 (KDE 2 version)
- renamed package to full name
* Mon Apr 09 2001 - ro@suse.de
- fixed group
* Sat May 27 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sat May 27 2000 - @suse.de
- Spec file created from kmasqdialer-0.5.tar.gz by autospec
* Thu Apr 06 2000 - adrian@suse.de
- compile fix for alpha
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Tue Oct 19 1999 - kettner@suse.de
- Spec file created from kmasqdialer-0.5.tar.gz by autospec
